# HG changeset patch
# Node ID 8e8efe08a774
# Parent  f8275d257afe
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -102,7 +102,6 @@
 
 	/* Conversations page */
 	struct {
-		PidginPrefCombo notification_chat;
 		GtkWidget *show_incoming_formatting;
 		struct {
 			GtkWidget *send_typing;
@@ -865,10 +864,6 @@
 {
 	GSimpleActionGroup *ag = NULL;
 
-	win->conversations.notification_chat.type = PURPLE_PREF_INT;
-	win->conversations.notification_chat.key = PIDGIN_PREFS_ROOT "/conversations/notification_chat";
-	pidgin_prefs_bind_dropdown(&win->conversations.notification_chat);
-
 	pidgin_prefs_bind_checkbox(PIDGIN_PREFS_ROOT "/conversations/show_incoming_formatting",
 			win->conversations.show_incoming_formatting);
 
@@ -1802,9 +1797,6 @@
 	/* Conversations page */
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow,
-			conversations.notification_chat.combo);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
 			conversations.show_incoming_formatting);
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow,
diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -91,28 +91,6 @@
     <property name="step-increment">1</property>
     <property name="page-increment">1</property>
   </object>
-  <object class="GtkListStore" id="conversations.notification_chat.store">
-    <columns>
-      <!-- column-name text -->
-      <column type="gchararray"/>
-      <!-- column-name value -->
-      <column type="gint"/>
-    </columns>
-    <data>
-      <row>
-        <col id="0" translatable="yes">On unseen events</col>
-        <col id="1">1</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">On unseen text</col>
-        <col id="1">3</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">On unseen text and the nick was said</col>
-        <col id="1">4</col>
-      </row>
-    </data>
-  </object>
   <object class="GtkListStore" id="iface.conversations.placement.store">
     <columns>
       <!-- column-name text -->
@@ -533,48 +511,6 @@
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
-                                  <object class="GtkBox">
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">False</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <object class="GtkLabel">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="label" translatable="yes">Chat notification:</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkComboBox" id="conversations.notification_chat.combo">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="model">conversations.notification_chat.store</property>
-                                        <child>
-                                          <object class="GtkCellRendererText"/>
-                                          <attributes>
-                                            <attribute name="text">0</attribute>
-                                          </attributes>
-                                        </child>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
                                   <object class="GtkCheckButton" id="conversations.show_incoming_formatting">
                                     <property name="label" translatable="yes">Show _formatting on incoming messages</property>
                                     <property name="visible">True</property>
@@ -586,7 +522,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">1</property>
+                                    <property name="position">0</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -601,7 +537,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">2</property>
+                                    <property name="position">1</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -615,7 +551,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">3</property>
+                                    <property name="position">2</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -630,7 +566,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">4</property>
+                                    <property name="position">3</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -668,7 +604,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">5</property>
+                                    <property name="position">4</property>
                                   </packing>
                                 </child>
                               </object>
@@ -1368,7 +1304,7 @@
                   <packing>
                     <property name="name">network</property>
                     <property name="title" translatable="yes">Network</property>
-                    <property name="position">3</property>
+                    <property name="position">2</property>
                   </packing>
                 </child>
                 <child>
@@ -1697,7 +1633,7 @@
                   <packing>
                     <property name="name">proxy</property>
                     <property name="title" translatable="yes">Proxy</property>
-                    <property name="position">4</property>
+                    <property name="position">3</property>
                   </packing>
                 </child>
                 <child>
@@ -2028,7 +1964,7 @@
                   <packing>
                     <property name="name">away</property>
                     <property name="title" translatable="yes">Status / Idle</property>
-                    <property name="position">5</property>
+                    <property name="position">4</property>
                   </packing>
                 </child>
                 <child>
@@ -2039,7 +1975,7 @@
                   <packing>
                     <property name="name">credentials</property>
                     <property name="title" translatable="yes">Credentials</property>
-                    <property name="position">7</property>
+                    <property name="position">5</property>
                   </packing>
                 </child>
               </object>
